lavfi: use proper FF_API guards for different deprecated functions